unit uFenster;
(* ******************************************************************** *)
(* K L A S S E : 									                                      *)
(* -------------------------------------------------------------------- *)
(* Version     : 2.x                                                    *)
(* Autor       : S. Spolwig                                             *)
(* Beschreibung: Die Klasse ist die GUI fr die Ampelsteuerung       	  *)
(* Zweck       : Anzeige, Start und Stop                                *)
(* Compiler    : Delphi 5.0                                             *)
(* Aenderungen : 0.9	11-MAY-01                                         *)
(*               2.3  18-MAR-06   Steuerung ausgelagert                 *) 
(* ******************************************************************** *)
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  uGrafik,  // impotiert TZeichenblatt
  uAmpel,
  uSteuerung;

type
  TFensterFrm = class(TForm)
    BildImg		: TImage;
    GroupBox1 : TGroupBox;
    StartBtn  : TButton;
    StopBtn   : TButton;

    procedure FormCreate(Sender: TObject);
    procedure StopBtnClick(Sender: TObject);
    procedure StartBtnClick(Sender: TObject);
  end;

var
  FensterFrm   : TFensterFrm;
  Steuerung    : TSteuerung;
  Ampel_1,
  Ampel_2      : TAmpel;
  Zeichenblatt : TZeichenblatt;
  
implementation
{$R *.DFM}
// ====================================================================

procedure TFensterFrm.FormCreate(Sender: TObject);
begin
	Zeichenblatt := TZeichenblatt.Create;
  Zeichenblatt.SetLink(BildImg);

  Ampel_1 := TAmpel.Create;
  Ampel_2 := TAmpel.Create;
  Ampel_1.SetPosition(80,180);
  Ampel_2.SetPosition(310,25);
  Ampel_1.Zeigen;
  Ampel_2.Zeigen;

  Steuerung := TSteuerung.Create;
  Steuerung.SetLink (Ampel_1, Ampel_2);
end;

procedure TFensterFrm.StartBtnClick(Sender: TObject);
// --------------------------------------------------------------------
begin
  Steuerung.Start;
end;

procedure TFensterFrm.StopBtnClick(Sender: TObject);
// --------------------------------------------------------------------
begin
  Steuerung.Stop;
end;

end.
