UNIT uLampe;
(* ******************************************************************** *)
(* K L A S S E : TLampe                                                 *)
(* -------------------------------------------------------------------- *)
(* Version     : 0.9                                                    *)
(* Autor       : S. Spolwig                                             *)
(* Beschreibung: Die Klasse bildet eine Lampe fr beliebige Anwendungen *)
(*               ab.                                                		*)
(* Compiler    : Delphi 5.0                                             *)
(* Aenderungen : 0.9	11-MAY-01                                         *)
(* ******************************************************************** *)

INTERFACE
// ====================================================================
uses uGrafik;   // importiert TKreis

type
  TLampe   = class(TKreis)
   public
    constructor Create; 
    procedure Ein;
    procedure Aus;
  end;

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     : TKreis
Bezugsklassen  : -

Methoden
--------

Create
  Auftrag: erzeugen und Radius festlegen
  vorher : -
  nachher: done

Ein
  Auftrag: Lampe einschalten
  vorher : -
  nachher: Zeigen in der jeweils gesetzten Farbe

Aus
  Auftrag: Lampe ausschalten
  vorher : -
  nachher: leuchtet nicht

---------------------------------------------------------------------- *)


IMPLEMENTATION
// ====================================================================

constructor TLampe.Create;
// --------------------------------------------------------------------
begin
 	inherited Create;  // erstmal erzeugen, was geerbt wird
  SetRadius(10);
end;

procedure TLampe.Ein;
// --------------------------------------------------------------------
begin
  Zeigen;   
end;

procedure TLampe.Aus;
// --------------------------------------------------------------------
begin
  Loeschen; // leuchtet nicht
end;

END.


